<div class="columns">
  <div class="column">
    <div class="heading">
      <h1 class="title">Räume</h1>
    </div>
  </div>
</div>

<div class="columns">
  <div class="column">
  <table class="table">
    <thead>
      <tr>
        <th>Bezeichnung</th>
        <th>Nummer</th>
        <th>Gebäude</th>
        <th>Ausstattung</th>
        <th>Bild-ID</th>
        <th>Aktionen</th>
      </tr>
    </thead>
    <tbody>
      <tr ng-repeat="room in vm.rooms track by $index">
        <td>{{room.name}}</td>
        <td>{{room.nr}}</td>
        <td>{{room.building}}</td>
        <td>{{room.equipment}}</td>
        <td>
          <a href="{{room.image ? vm.imageApi + room.image : ''}}"
             target="_blank">{{room.image ? room.image : ''}}</a>
        </td>
        <td>
          <div class="btn-group" role="group" aria-label="aktionen">
            <button type="button"
                    class="button is-small"
                    ng-click="vm.editRoom($index, room)"
                    title="Raum bearbeiten">
              <i class="fa fa-pencil" aria-hidden="true"></i>
            </button>
            <button type="button"
                    class="button is-small is-danger"
                    ng-click="vm.removeRoom($index, room);"
                    title="Raum löschen">
              <i class="fa fa-times" aria-hidden="true"></i>
            </button>
          </div>
        </td>
      </tr>
    </tbody>
  </table>
  </div>
</div>
<div class="columns">
  <div class="column">
    <button type="button"
            id="editBtn"
            ng-click="vm.toggleEditable()"
            class="button is-primary">{{vm.editable ? 'Formular schließen' : 'Neuen Raum anlegen'}}</button>
  </div>
</div>
<hr>

<div class="columns" ng-show="vm.editable">
  <div class="column">
    <form class="form">
      <div class="columns">
        <div class="column">
          <label class="label" for="roomNameTf">Raumbezeichnung</label>
          <p class="control">
            <input type="text"
               class="input"
               id="roomNameTf"
               ng-model="vm.newroom.name"
               placeholder="Bezeichnung" required>
          </p>
          <label class="label" for="roomNumberTf">Raumnummer</label>
          <p class="control">
            <input type="text"
               class="input"
               id="roomNumberTf"
               ng-model="vm.newroom.nr"
               placeholder="Nummer" required>
          </p>
          <label class="label" for="roomBuildingTf">Gebäude</label>
          <p class="control">
            <input type="text"
               class="input"
               id="roomBuildingTf"
               ng-model="vm.newroom.building"
               placeholder="Gebäude" required>
          </p>

          <button type="button"
                  ng-if="vm.saving"
                  class="button is-success"
                  ng-click="vm.saveRoom()">Speichern</button>
          <button type="button"
                  ng-if="vm.updating"
                  class="button is-warning"
                  ng-click="vm.updateRoom()">Ändern</button>
          <button type="reset"
                  ng-click="vm.cancel()"
                  class="button">Abbrechen</button>
        </div><!-- .column -->

        <div class="column">
          <label class="label" for="roomEquipmentTf">Ausstattung</label>
          <p class="control">
            <input type="text"
               class="input"
               id="roomEquipmentTf"
               ng-model="vm.newroom.equipment"
               placeholder="Ausstattung, z.B.: Beamer, Lautsprecher, Pinnwand" required>
          </p>
          <label class="label">Bild</label>
          <p class="control">
            <figure class="image is-128x128">
              <a href="{{vm.imageApi + vm.selectedImage.id}}" target="_blank">
                <img src="{{vm.imageApi + vm.selectedImage.id}}" />
              </a>
              <figcaption ng-if="vm.newroom.image">
                <a ng-click="vm.removeImage()">Löschen</a>
              </figcaption>
            </figure>
          </p>

          <p class="control">
            <a ng-click="vm.toggleImages()"
               class="is-primary">
              {{vm.imagesVisible ? 'Bilder verstecken' : 'Bilder anzeigen'}}
            </a>
          </p>

          <fa-image-chooser my-image="vm.selectedImage"
                            ng-if="vm.imagesVisible">
          </fa-image-chooser>

        </div><!-- .column -->
      </div><!-- .columns -->

    </form>
  </div>
  <!--<div class="column"></div>-->
</div>

